#ifndef ADSFDM_H
#define ADSFDM_H

//Flight Diynamic Model (FDM)

class AdsFdm
{
public:

    unsigned long timetag;

    double latitude;
    double longitude;

    float platform_azimuth;

    virtual bool getData(unsigned long timetag);
};

#include <QObject>

class AdsFdmManager : public QObject
{
    Q_OBJECT
public:
    explicit AdsFdmManager(QObject *parent = 0);

    virtual void flyTo(double lat, double lon);
    virtual void jumpTo(double lat, double lon);

    virtual bool getData(unsigned long timetag);

signals:

public slots:
};

#endif // ADSFDM_H
